## python-q 2.6

=== Makefile ===
TESTS = $(wildcard test/test_*.py)

.PHONY: deps pep8 test build push clean

all: pep8 test build

deps:
	# q doesn't have any *runtime* dependencies.
	# These dependencies are only needed for development.
	pip install pep8
	pip install wheel

pep8:
	@echo === Running pep8 on files
	pep8 $(wildcard *.py) $(wildcard test/*.py)

test:
	@echo
	@ $(foreach TEST,$(TESTS), \
		( \
			echo === Running test: $(TEST); \
			python $(TEST) || exit 1 \
		))

build:
	python setup.py sdist
	python setup.py bdist_wheel

push: build
	python setup.py sdist upload
	python setup.py bdist_wheel upload

clean:
	rm -rf build dist q.egg-info
	find -name *.pyc -delete
	@- git status

=== debian/changelog ===
python-q (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938109

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Oct 2019 21:30:53 -0400

python-q (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the missing dependencies in python3-q. (Closes: #867452)

 -- Adrian Bunk <bunk@debian.org>  Fri, 04 Aug 2017 15:32:15 +0300

python-q (2.6-1) unstable; urgency=low

  * Initial release (Closes: #796648)

 -- Federico Ceratto <federico@debian.org>  Sun, 03 Jan 2016 15:39:19 +0000

=== debian/control ===
Source: python-q
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://github.com/zestyping/q
Vcs-Git: git://anonscm.debian.org/collab-maint/python-q.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-q.git

Package: python3-q
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Quick-and-dirty Python 3 debugging output for tired programmers
 q is a Python 3 module for "print" style of debugging Python code.
 It provides convenient short API for print out of values, tracebacks,
 and falling into the Python interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=q
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	for python in $(shell py3versions -r); do \
		$$python test/test_basic.py -v; \
	done
endif

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-q-$1\.tar\.gz/ \
  https://github.com/zestyping/q/tags .*/v?(\d\S*)\.tar\.gz

## python-q 2.7

=== debian/changelog ===
python-q (2.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/watch: Update to version 5 and monitor pypi release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Update Vcs-* fields.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field

 -- Boyuan Yang <byang@debian.org>  Sun, 25 Jan 2026 19:11:58 -0500

=== debian/control ===
Source: python-q
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: http://github.com/zestyping/q
Vcs-Git: https://salsa.debian.org/debian/python-q.git
Vcs-Browser: https://salsa.debian.org/debian/python-q

Package: python3-q
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Quick-and-dirty Python 3 debugging output for tired programmers
 q is a Python 3 module for "print" style of debugging Python code.
 It provides convenient short API for print out of values, tracebacks,
 and falling into the Python interpreter.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_VERBOSE=1
 export PYBUILD_NAME=q
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
Version: 5

Template: Pypi
Dist: q
